petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDrawSetSaveFinalImage

Saves the finale image produced in a PetscDraw into a file as a Gif file using AfterImage

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawSetSaveFinalImage(PetscDraw draw,const char *filename)

Collective on PetscDraw

### Input Parameter

| draw | - the graphics context
| filename | - name of the file, if NULL uses name of draw object

### Options Database Command

-draw_save_final_image <filename> -

Notes: You should call this BEFORE calling PetscDrawClear() and creating your image.

Requires that PETSc be configured with the option --with-afterimage to save the images and ffmpeg must be in your path to make the movie

If X windows generates an error message about X_CreateWindow() failing then Afterimage was installed without X windows. Reinstall Afterimage using the ./configure flags --x-includes=/pathtoXincludes --x-libraries=/pathtoXlibraries For example under Mac OS X Mountain Lion --x-includes=/opt/X11/include -x-libraries=/opt/X11/lib

### See Also

PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy(), PetscDrawSetSave()

Level:intermediate
Location:src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages